#ifndef __TINY1616_H__
#define __TINY1616_H__
#include "platform_if.h"
#include "sensor_type.h"

#define TINY1616_WHO_I_AM       0x78


typedef struct tiny1616_dev{
    sensor_serial_if_t *driver;
    char *name;
    uint16_t pressed;
}tiny1616_dev_t;


bool tiny1616_check_id(tiny1616_dev_t *dev);

int tiny1616_get_pressed_status(tiny1616_dev_t *dev);


#endif

